<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>https://www.sharcnet.ca/help/index.php?action=history&amp;feed=atom&amp;title=MediaWiki%3ACommon.css</id>
		<title>MediaWiki:Common.css - Revision history</title>
		<link rel="self" type="application/atom+xml" href="https://www.sharcnet.ca/help/index.php?action=history&amp;feed=atom&amp;title=MediaWiki%3ACommon.css"/>
		<link rel="alternate" type="text/html" href="https://www.sharcnet.ca/help/index.php?title=MediaWiki:Common.css&amp;action=history"/>
		<updated>2026-05-23T23:19:18Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.25.2</generator>

	<entry>
		<id>https://www.sharcnet.ca/help/index.php?title=MediaWiki:Common.css&amp;diff=1032&amp;oldid=prev</id>
		<title>Fm: Created page with '/* * MenuSidebar */ /* this has to be overridden for every menu */ #p-Menu, #p-Menu2, #p-Menu3 {  overflow: visible;  }   /* this has to be overridden for every menu */ #p-Menu d...'</title>
		<link rel="alternate" type="text/html" href="https://www.sharcnet.ca/help/index.php?title=MediaWiki:Common.css&amp;diff=1032&amp;oldid=prev"/>
				<updated>2009-12-07T16:32:19Z</updated>
		
		<summary type="html">&lt;p&gt;Created page with &amp;#039;‎&lt;span dir=&quot;auto&quot;&gt;&lt;span class=&quot;autocomment&quot;&gt;* MenuSidebar: &lt;/span&gt; ‎&lt;span dir=&quot;auto&quot;&gt;&lt;span class=&quot;autocomment&quot;&gt;this has to be overridden for every menu: &lt;/span&gt; #p-Menu, #p-Menu2, #p-Menu3 {  overflow: visible;  }   ‎&lt;span dir=&quot;auto&quot;&gt;&lt;span class=&quot;autocomment&quot;&gt;this has to be overridden for every menu: &lt;/span&gt; #p-Menu d...&amp;#039;&lt;/span&gt;&lt;/span&gt;&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/*&lt;br /&gt;
* MenuSidebar&lt;br /&gt;
*/&lt;br /&gt;
/* this has to be overridden for every menu */&lt;br /&gt;
#p-Menu,&lt;br /&gt;
#p-Menu2,&lt;br /&gt;
#p-Menu3 {&lt;br /&gt;
 overflow: visible; &lt;br /&gt;
}&lt;br /&gt;
 &lt;br /&gt;
/* this has to be overridden for every menu */&lt;br /&gt;
#p-Menu div,&lt;br /&gt;
#p-Menu2 div,&lt;br /&gt;
#p-Menu3 div {&lt;br /&gt;
 margin: 0;&lt;br /&gt;
 padding: 0;&lt;br /&gt;
}&lt;br /&gt;
 &lt;br /&gt;
/* this is an example to make the list of the second entry bigger e.g. when ther is a longer text in a list item&lt;br /&gt;
#p-Menu ul li.item2 ul {&lt;br /&gt;
 width: 16em;&lt;br /&gt;
}&lt;br /&gt;
*/&lt;br /&gt;
 &lt;br /&gt;
/* this an example to change the background color of every second list item&lt;br /&gt;
li.even {&lt;br /&gt;
 background-color: #eeeeee;&lt;br /&gt;
}&lt;br /&gt;
*/&lt;br /&gt;
 &lt;br /&gt;
.menuSidebar ul { /* remove bullets and list indents */&lt;br /&gt;
 list-style: none;&lt;br /&gt;
 margin: 0;&lt;br /&gt;
 padding: 0;&lt;br /&gt;
}&lt;br /&gt;
 &lt;br /&gt;
/* this div is only for better handling and navigation  ... could also be done in inner ul*/&lt;br /&gt;
.menuSidebar ul div { &lt;br /&gt;
 position: absolute;&lt;br /&gt;
 top: -6px;&lt;br /&gt;
 left: 100%; /* to position them to the right of their containing block */&lt;br /&gt;
 width: 100%; /* width is based on the containing block */&lt;br /&gt;
 z-index: 100; /* show ul on top */&lt;br /&gt;
}&lt;br /&gt;
 &lt;br /&gt;
.menuSidebar ul ul { &lt;br /&gt;
 background-color: white;&lt;br /&gt;
 border: 1px solid #aaaaaa;&lt;br /&gt;
 margin-top: 5px; /* make navigation easier*/&lt;br /&gt;
 margin-bottom: 5px; /* make navigation easier*/&lt;br /&gt;
 z-index: 101; /* show on top; Needed for IE 7 */&lt;br /&gt;
 width: 12em; /* width of inner menu, Needed for IE 7 */&lt;br /&gt;
}&lt;br /&gt;
 &lt;br /&gt;
.menuSidebar li {&lt;br /&gt;
 position: relative; /* make li a container for inner elements */&lt;br /&gt;
 margin: 1px;&lt;br /&gt;
 z-index: 102; /* show on top; Needed for IE 7 */&lt;br /&gt;
}&lt;br /&gt;
 &lt;br /&gt;
/* style, color and size links and headings to suit */&lt;br /&gt;
.menuSidebar a {&lt;br /&gt;
 font-weight: bold;&lt;br /&gt;
 display: block;&lt;br /&gt;
 border-width: 0px 0px 1px 0px;&lt;br /&gt;
 border-style: solid;&lt;br /&gt;
 border-color: #aaaaaa;&lt;br /&gt;
 margin: 0px;&lt;br /&gt;
 padding: 1px;&lt;br /&gt;
 padding-left: 5px;&lt;br /&gt;
 color: #000000;&lt;br /&gt;
 text-decoration: none;&lt;br /&gt;
}&lt;br /&gt;
 &lt;br /&gt;
/* move the &amp;amp;gt; to the right */&lt;br /&gt;
.menuSidebar a em {&lt;br /&gt;
 position: absolute;&lt;br /&gt;
 right: 4px;&lt;br /&gt;
}&lt;br /&gt;
 &lt;br /&gt;
.menuSidebar li:hover, /* Needed for IE 7 */&lt;br /&gt;
.menuSidebar a:hover {&lt;br /&gt;
 background: #ccccff;&lt;br /&gt;
}&lt;br /&gt;
 &lt;br /&gt;
.menuSidebar li.separator a:hover {&lt;br /&gt;
 background: white;&lt;br /&gt;
}&lt;br /&gt;
 &lt;br /&gt;
/* Needed for IE 7 */&lt;br /&gt;
.menuSidebar li.separator a,&lt;br /&gt;
.menuSidebar li.separator {&lt;br /&gt;
 line-height: 0px;&lt;br /&gt;
 height: 0px;&lt;br /&gt;
 font-size: 0px;&lt;br /&gt;
}&lt;br /&gt;
 &lt;br /&gt;
.menuSidebar ul li:last-Child a { &lt;br /&gt;
 border-width: 0px 0px 0px 0px; // remove the last bottom line &lt;br /&gt;
 padding-bottom: 0px;&lt;br /&gt;
}&lt;br /&gt;
 &lt;br /&gt;
/* hides the first level */&lt;br /&gt;
.menuSidebar ul li div { display: none; }&lt;br /&gt;
 &lt;br /&gt;
/* shows the first level and hide the second */&lt;br /&gt;
.menuSidebar ul li:hover div, &lt;br /&gt;
.menuSidebar ul li div:hover { display: block; } /* div is again used for easier navigation*/&lt;br /&gt;
.menuSidebar ul li:hover ul li div { display: none; } /* hide the next level */&lt;br /&gt;
 &lt;br /&gt;
/* second level*/&lt;br /&gt;
.menuSidebar ul li ul li:hover div,&lt;br /&gt;
.menuSidebar ul li ul li div:hover  { display: block; } /* div is again used for easier navigation*/&lt;br /&gt;
.menuSidebar ul li ul li:hover ul li div { display: none; }  /* hide the next level */&lt;br /&gt;
 &lt;br /&gt;
/* third level */&lt;br /&gt;
.menuSidebar ul li ul li ul li:hover div,&lt;br /&gt;
.menuSidebar ul li ul li ul li div:hover   { display: block; } /* div is again used for easier navigation*/&lt;br /&gt;
.menuSidebar ul li ul li ul li:hover ul li div { display: none; }  /* hide the next level */&lt;/div&gt;</summary>
		<author><name>Fm</name></author>	</entry>

	</feed>